Bug 1124390 - opensips-1.10.1-2.fc22 FTBFS: array_del.c:29:23: fatal error: json/json.h: No such file or directory
Summary: opensips-1.10.1-2.fc22 FTBFS: array_del.c:29:23: fatal error: json/json.h: No...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opensips
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John Khvatov
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 12:02 UTC by Petr Pisar
Modified: 2014-11-13 18:05 UTC (History)
3 users (show)

Fixed In Version: opensips-1.10.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:42:18 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-07-29 12:02:46 UTC
opensips-1.10.1-2.fc22 fails to build in F22 because <json/json.h> header is missing:

make[1]: Entering directory '/builddir/build/BUILD/opensips-1.10.1-tls/modules/json'
Compiling json.c
gcc -fPIC -DPIC -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -Wcast-align -DMOD_NAME='"json"'  -DPKG_MALLOC  -DSHM_MEM  -DSHM_MMAP  -DUSE_IPV6  -DUSE_MCAST  -DDISABLE_NAGLE  -DSTATISTICS  -DCHANGEABLE_DEBUG_LEVEL  -DHAVE_RESOLV_RES  -DF_MALLOC  -DUSE_TCP   -DNAME='"opensips"' -DVERSION='"1.10.1-tls"' -DARCH='"x86_64"' -DOS='"linux"' -DCOMPILER='"gcc 4.9.1"' -D__CPU_x86_64 -D__OS_linux -D__SMP_yes -DCFG_DIR='"/etc/opensips/"'  -DUSE_TLS -DFAST_LOCK -DADAPTIVE_WAIT -DADAPTIVE_WAIT_LOOPS=1024  -DHAVE_GETHOSTBYNAME2 -DHAVE_UNION_SEMUN -DHAVE_SCHED_YIELD -DHAVE_MSG_NOSIGNAL -DHAVE_MSGHDR_MSG_CONTROL -DHAVE_ALLOCA_H -DHAVE_TIMEGM -DHAVE_EPOLL -DHAVE_SIGIO_RT -DHAVE_SELECT -I/usr/ssl/include -I/usr/include -I/usr/include/openssl -I/usr/include -c json.c -o json.o
Compiling array_del.c
gcc -fPIC -DPIC -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -Wcast-align -DMOD_NAME='"json"'  -DPKG_MALLOC  -DSHM_MEM  -DSHM_MMAP  -DUSE_IPV6  -DUSE_MCAST  -DDISABLE_NAGLE  -DSTATISTICS  -DCHANGEABLE_DEBUG_LEVEL  -DHAVE_RESOLV_RES  -DF_MALLOC  -DUSE_TCP   -DNAME='"opensips"' -DVERSION='"1.10.1-tls"' -DARCH='"x86_64"' -DOS='"linux"' -DCOMPILER='"gcc 4.9.1"' -D__CPU_x86_64 -D__OS_linux -D__SMP_yes -DCFG_DIR='"/etc/opensips/"'  -DUSE_TLS -DFAST_LOCK -DADAPTIVE_WAIT -DADAPTIVE_WAIT_LOOPS=1024  -DHAVE_GETHOSTBYNAME2 -DHAVE_UNION_SEMUN -DHAVE_SCHED_YIELD -DHAVE_MSG_NOSIGNAL -DHAVE_MSGHDR_MSG_CONTROL -DHAVE_ALLOCA_H -DHAVE_TIMEGM -DHAVE_EPOLL -DHAVE_SIGIO_RT -DHAVE_SELECT -I/usr/ssl/include -I/usr/include -I/usr/include/openssl -I/usr/include -c array_del.c -o array_del.o
array_del.c:29:23: fatal error: json/json.h: No such file or directory
 #include <json/json.h>
                       ^
compilation terminated.
../../Makefile.rules:24: recipe for target 'array_del.o' failed
make[1]: *** [array_del.o] Error 1
make[1]: *** Waiting for unfinished jobs....
json.c:50:23: fatal error: json/json.h: No such file or directory
 #include <json/json.h>
                       ^
compilation terminated.
../../Makefile.rules:24: recipe for target 'json.o' failed
make[1]: Leaving directory '/builddir/build/BUILD/opensips-1.10.1-tls/modules/json'
make[1]: *** [json.o] Error 1
Makefile:204: recipe for target 'modules' failed

The difference in build root between last working build and the failing one is:

Removed packages:
	coreutils-8.22
	cpp-4.9.0
	curl-7.37.0
	device-mapper-1.02.86
	device-mapper-libs-1.02.86
	findutils-4.5.12
	gcc-4.9.0
	gcc-c++-4.9.0
	gdb-7.7.90.20140711
	gnutls-3.3.5
	json-c-0.11
	json-c-devel-0.11
	libcurl-7.37.0
	libcurl-devel-7.37.0
	libgcc-4.9.0
	libgomp-4.9.0
	libstdc++-4.9.0
	libstdc++-devel-4.9.0
	lzo-2.06
	postgresql-9.3.4
	postgresql-devel-9.3.4
	postgresql-libs-9.3.4
	setup-2.9.0
Added packages:
	coreutils-8.23
	cpp-4.9.1
	curl-7.37.1
	device-mapper-1.02.87
	device-mapper-libs-1.02.87
	findutils-4.5.14
	gcc-4.9.1
	gcc-c++-4.9.1
	gdb-7.8
	gnutls-3.3.6
	json-c-0.12
	json-c-devel-0.12
	libcurl-7.37.1
	libcurl-devel-7.37.1
	libgcc-4.9.1
	libgomp-4.9.1
	libstdc++-4.9.1
	libstdc++-devel-4.9.1
	lzo-2.08
	mariadb-common-10.0.12
	postgresql-9.3.5
	postgresql-devel-9.3.5
	postgresql-libs-9.3.5
	setup-2.9.1

Comment 1 Petr Pisar 2014-09-17 11:37:49 UTC
This is caused by upgrading json-c from 0.11 to 0.12. It renamed /usr/include/json directory to /usr/include/json-c.


Please also note that there is another package provided json/json.h and that's jsoncpp-devel with /usr/include/jsoncpp/json/json.h.

Comment 2 Jerson Luiz de Paula Junior 2014-09-19 17:30:14 UTC
The same error in RHEL 7:

make[2]: Entering directory `/usr/src/opensips-1.11.2-tls/modules/json'
Compiling array_del.c
Compiling json.c
array_del.c:29:18: fatal error: json.h: No such file or directory
 #include <json.h>
                  ^
compilation terminated.
make[2]: *** [array_del.o] Error 1
make[2]: *** Waiting for unfinished jobs....
json.c:50:18: fatal error: json.h: No such file or directory
 #include <json.h>
                  ^
compilation terminated.
make[2]: *** [json.o] Error 1
make[2]: Leaving directory `/usr/src/opensips-1.11.2-tls/modules/json'
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/usr/src/opensips-1.11.2-tls'

Comment 3 Fedora Update System 2014-11-03 19:28:57 UTC
opensips-1.10.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/opensips-1.10.3-1.fc21

Comment 4 Fedora Update System 2014-11-03 19:29:03 UTC
opensips-1.10.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/opensips-1.10.3-1.fc20

Comment 5 Fedora Update System 2014-11-05 03:55:34 UTC
Package opensips-1.10.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing opensips-1.10.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14242/opensips-1.10.3-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-11-10 06:42:18 UTC
opensips-1.10.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-11-13 18:05:27 UTC
opensips-1.10.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.